Bug 72338 - StartCenter: Mouse pointer doesn’t change to ‘loading’ after clicking a thumbnail
Summary: StartCenter: Mouse pointer doesn’t change to ‘loading’ after clicking a thumb...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0 target:4.2.1
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2013-12-05 08:39 UTC by narayanaras
Modified: 2014-07-24 18:45 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2013-12-05 08:39:41 UTC
In the initial screen of LibreOffice, if I hover the mouse over the recently viewed items (thumbnails), I expect the mouse icon to change from "tilted arrow" to "hand with a pointing finger" icon.

Further, I expect the mouse to be animated when I click.

But the mouse shows no interaction with the thumbnails: It does not change shape on hover or on click.
Comment 1 narayanaras 2013-12-06 04:10:24 UTC
How is this an enhancement?? This is a usability issue.
Comment 2 Jorendc 2013-12-06 16:52:42 UTC
Thanks for your feedback! This really makes sense :)!

(In reply to comment #1)
> How is this an enhancement?? This is a usability issue.

It _is_ an enhancement request. This welcome-center wasn't in LibreOffice before, and the mouse hovering isn't implemented yet. So you can't break anything that wasn't there ever before. We can improve this, so it's an enhancement request.

Kind regards,
Joren
Comment 3 V Stuart Foote 2014-01-18 14:44:46 UTC
Should use of pointer icon be referred to design team for discussion?

There are modal changes of pointer used in multiple modules (Calc, Math, Impress), but nothing I could find in any of the the UI widget based GUI.

@Kendy, @Zolnai -- in doing the recent 'mouse over' work for the Start Center would there even be a suitable hook to change the pointer icon as suggested in this enhancement?
Comment 4 Tin Man 2014-01-18 18:53:05 UTC
If easily implementable, this would be nice indeed.
Comment 5 Stefan Knorr (astron) 2014-02-01 17:13:01 UTC
LibreOffice is not on the web, the document previews do not really qualify as web links... so, why would the cursor need to change to a hand?

The feedback issue is definitely there, though, you should immediately see that the system is doing something. If that needs to happen via the cursor or maybe rather as a spinner overlay to the preview will still need to be worked out.
Comment 6 retired 2014-02-01 19:27:59 UTC
100% agree with astron: why change the mouse? The background clearly indicates where you are and suggests that the document can be opened.

The second part: change the mouse to a spinner or another animation once a document was clicked, is a valid enhancement request since otherwise only the bottom bar indicates something is happening.
Comment 7 Adolfo Jayme 2014-02-02 00:26:40 UTC
(In reply to comment #6)
> 100% agree with astron: why change the mouse? The background clearly
> indicates where you are and suggests that the document can be opened.

When the reporter posted this bug, the background on hover didn’t exist at all. Until Kendy implemented it, there was no visible indication of a clickable area. So, this usability issue is solved already, although in a different way.

> The second part: change the mouse to a spinner or another animation once a
> document was clicked, is a valid enhancement request since otherwise only
> the bottom bar indicates something is happening.

+1, the status bar could pass unnoticed, but hopefully loading times are brief and the need for loading indicators is small.
Comment 8 Commit Notification 2014-02-03 18:10:19 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6472e791484e492cb2adfa898c43fbdeee7475ca

fdo#72338: startcenter: Show busy mouse pointer when starting apps.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-02-04 12:39:14 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cd797aed639d5054137ef0514803c35bbd5da29d&h=libreoffice-4-2

fdo#72338: startcenter: Show busy mouse pointer when starting apps.


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.